GET /intersections/within.{outputFormat}

gov.bc.ca:geocoder

Summary: Find intersections in a geographic area
Operation ID:
Auth: unknown
Description

Represents all intersections within a given area

Parameters (6)

bbox (string, query, required)

A bounding box (xmin,ymin,xmax,ymax) used to limit the search area. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#bbox target="_blank">bbox</a>

maxDegree (integer, query, optional, default: 100)

The maximum degree an interesection can have to be included in results. A four-way stop has a degree of 4.

maxResults (integer, query, optional, default: 200)

The maximum number of search results

minDegree (integer, query, optional, default: 2)

The minimum degree an intersection can have to be included in results. A dead-end has a degree of 1.

outputFormat (string, path, required, default: json)

Results format. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputFormat target="_blank">outputFormat</a>. Note: GeoJSON and KML formats only support EPSG:4326 (outputSRS=4326)

Constraints: {'enum': ['json', 'geojson', 'xhtml', 'kml', 'gml', 'csv', 'shpz']}

outputSRS (integer, query, optional, default: 4326)

The EPSG code of the spatial reference system (SRS) to use for output geometries. See <a href=https://github.com/bcgov/ols-geocoder/blob/gh-pages/glossary.md#outputSRS target="_blank">outputSRS</a>

Constraints: {'enum': [4326, 4269, 3005, 26907, 26908, 26909, 26910, 26911]}

No probe data for this endpoint yet.